<?php
/**
* Customizer validation functions
*
* @package Theme Palace
* @subpackage Edufication Pro
* @since Edufication Pro 1.0.0
*/

if ( ! function_exists( 'edufication_pro_validate_long_excerpt' ) ) :
  function edufication_pro_validate_long_excerpt( $validity, $value ){
         $value = intval( $value );
     if ( empty( $value ) || ! is_numeric( $value ) ) {
         $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'edufication-pro' ) );
     } elseif ( $value < 5 ) {
         $validity->add( 'min_no_of_words', esc_html__( 'Minimum no of words is 5', 'edufication-pro' ) );
     } elseif ( $value > 100 ) {
         $validity->add( 'max_no_of_words', esc_html__( 'Maximum no of words is 100', 'edufication-pro' ) );
     }
     return $validity;
  }
endif;

if ( ! function_exists( 'edufication_pro_validate_topbar_count' ) ) :
    function edufication_pro_validate_topbar_count( $validity, $value ){
        $value = intval( $value );
        if ( empty( $value ) || ! is_numeric( $value ) ) {
            $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'edufication-pro' ) );
        } elseif ( $value < 1 ) {
            $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 1', 'edufication-pro' ) );
        } elseif ( $value > 12 ) {
            $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 12', 'edufication-pro' ) );
        }
        return $validity;
    }
endif;


if ( ! function_exists( 'edufication_pro_validate_service_count' ) ) :
    function edufication_pro_validate_service_count( $validity, $value ){
        $value = intval( $value );
        if ( empty( $value ) || ! is_numeric( $value ) ) {
            $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'edufication-pro' ) );
        } elseif ( $value < 2 ) {
            $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 2', 'edufication-pro' ) );
        } elseif ( $value > 6 ) {
            $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 6', 'edufication-pro' ) );
        }
        return $validity;
    }
endif;


if ( ! function_exists( 'edufication_pro_validate_course_count' ) ) :
    function edufication_pro_validate_course_count( $validity, $value ){
        $value = intval( $value );
        if ( empty( $value ) || ! is_numeric( $value ) ) {
            $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'edufication-pro' ) );
        } elseif ( $value < 2 ) {
            $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 2', 'edufication-pro' ) );
        } elseif ( $value > 12 ) {
            $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 12', 'edufication-pro' ) );
        }
        return $validity;
    }
endif;


if ( ! function_exists( 'edufication_pro_validate_event_count' ) ) :
  function edufication_pro_validate_event_count( $validity, $value ){
         $value = intval( $value );
     if ( empty( $value ) || ! is_numeric( $value ) ) {
         $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'edufication-pro' ) );
     } elseif ( $value < 1 ) {
         $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 1', 'edufication-pro' ) );
     } elseif ( $value > 12 ) {
         $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 12', 'edufication-pro' ) );
     }
     return $validity;
  }
endif;

if ( ! function_exists( 'edufication_pro_validate_testimonial_count' ) ) :
  function edufication_pro_validate_testimonial_count( $validity, $value ){
         $value = intval( $value );
     if ( empty( $value ) || ! is_numeric( $value ) ) {
         $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'edufication-pro' ) );
     } elseif ( $value < 2 ) {
         $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 2', 'edufication-pro' ) );
     } elseif ( $value > 12 ) {
         $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 12', 'edufication-pro' ) );
     }
     return $validity;
  }
endif;

if ( ! function_exists( 'edufication_pro_validate_team_count' ) ) :
  function edufication_pro_validate_team_count( $validity, $value ){
         $value = intval( $value );
     if ( empty( $value ) || ! is_numeric( $value ) ) {
         $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'edufication-pro' ) );
     } elseif ( $value < 2 ) {
         $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 2', 'edufication-pro' ) );
     } elseif ( $value > 12 ) {
         $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 12', 'edufication-pro' ) );
     }
     return $validity;
  }
endif;

if ( ! function_exists( 'edufication_pro_validate_blog_count' ) ) :
  function edufication_pro_validate_blog_count( $validity, $value ){
         $value = intval( $value );
     if ( empty( $value ) || ! is_numeric( $value ) ) {
         $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'edufication-pro' ) );
     } elseif ( $value < 2 ) {
         $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 2', 'edufication-pro' ) );
     } elseif ( $value > 12 ) {
         $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 12', 'edufication-pro' ) );
     }
     return $validity;
  }
endif;
